org.apache.ignite.compute.gridify

## Class GridifyTaskSplitAdapter<R>

- java.lang.Object
- - org.apache.ignite.compute.ComputeTaskAdapter<T,R>
  - - org.apache.ignite.compute.ComputeTaskSplitAdapter<GridifyArgument,R>
    - - org.apache.ignite.compute.gridify.GridifyTaskSplitAdapter<R>

Type Parameters:
  `R` - Return value of the task (see `ComputeTask.reduce(List)` method).

All Implemented Interfaces:
  Serializable, ComputeTask<GridifyArgument,R>

    public abstract class GridifyTaskSplitAdapter<R>
    extends ComputeTaskSplitAdapter<GridifyArgument,R>

Convenience adapter for tasks that work with `Gridify` annotation for grid-enabling methods. It enhances the regular `ComputeTaskSplitAdapter` by enforcing the argument type of `GridifyArgument`. All tasks that work with `Gridify` annotation receive an argument of this type.

Please refer to `ComputeTaskSplitAdapter` documentation for more information on additional functionality this adapter provides.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridifyTaskSplitAdapter()`

### Method Summary

### Methods inherited from class org.apache.ignite.compute.ComputeTaskSplitAdapter

`map, split`

### Methods inherited from class org.apache.ignite.compute.ComputeTaskAdapter

`result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.compute.ComputeTask

`reduce`

### Constructor Detail

#### GridifyTaskSplitAdapter

    public GridifyTaskSplitAdapter()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015